#include "../include/Cache.h"
#include <sstream>

namespace environment {
namespace cache {

  std::string Cache::information (uint32_t depth)
  {
    std::string tab(depth,'\t');
    std::stringstream output;
    
    output << tab << "<" << name << ">" << std::endl
	   << param->print(depth);

    return output.str();
  }

};
};
